<?php
###############################################################
# Website Thumbnail Image Generator 1.1
###############################################################
# Visit http://www.zubrag.com/scripts/ for updates
###############################################################
#
# REQUIREMENTS:
# PHP 4.0.6 and GD 2.0.1 or later
# May not work with GIFs if GD2 library installed on your server
# does not support GIF functions in full
#
# Parameters that can be passed via url (if not passed will be used values which are set below):
# url - url of the target website
# x - max width
# y - max height
# q - quality (applicable only to JPG, 1 to 100, 100 - best)
#
# Sample usage:
# 1. webthumb.php?url=http://www.microsoft.com
# 2. Set maximum thumbnail size to 150
#    webthumb.php?url=http://www.thumbnails.com&x=150&y=150
###############################################################

// Folder to save all thumbnails. 
// Must end with slash!!!
//$thumbnails_folder = 'Z:/home/localhost/www/thumb/cache/';
define('THUMBNAILS_FOLDER' , 'D:/uty/IECap/temp/');
define('DATA_FOLDER' , 'D:/develop/html/wordpress/data/');


###############################################################################
# END OF SETTINGS. DO NOT EDIT BELOW
###############################################################################

function createimage($website_url,$outfile)
{
	$x = 140;
	$y = 100;

	$x_L = 400;
	$y_L = 400;

	// quality (for jpeg only)
	$q = 100;
	// resulting image type (1 = GIF, 2 = JPG, 3 = PNG)
	$image_type = 2;	$extfile = 'jpg';
	
	// thumbnails expiration time in minutes
	$cache_expire_time = 60;

	$cached_filename  = THUMBNAILS_FOLDER . 'o_'.$outfile . '.' . $extfile;
	$cached_filename_S = THUMBNAILS_FOLDER . 's_'.$outfile . '.' . $extfile;
	$cached_filename_L  = THUMBNAILS_FOLDER . $outfile . '.' . $extfile;

	if (
	      !file_exists($cached_filename) 
	   || filemtime ($cached_filename) + $cache_expire_time * 60 < time() ) {
	
		// Get website image and save it on the server.
	//	@exec('IECapt.exe ' . escapeshellarg($website_url) . ' ' . escapeshellarg($cached_filename));
	//	@exec('IECapt.exe ' . escapeshellarg('--url='.$website_url) . ' ' . escapeshellarg('--out='.$cached_filename));
		@exec('CutyCapt.exe ' . escapeshellarg('--url='.$website_url) . ' ' . escapeshellarg('--out='.$cached_filename));
		
		if(file_exists($cached_filename_S)){
			unlink ($cached_filename_S);
		}
		if(file_exists($cached_filename_L)){
			unlink ($cached_filename_L);
		}
	} // if (!file_exists
	
	if (!file_exists($cached_filename)) {
		echo $outfile.":Thumbnail Generation Error. Thumbnail not created.\n";
	} else {
		if(!file_exists($cached_filename_S)){
			list($orig_x, $orig_y, $orig_img_type, $img_sizes) = GetImageSize($cached_filename);
			
			$orig_y_S = ($orig_x/$x) * $y;
			$orig_y_L = ($orig_x/$x_L) * $y_L;

			$new_image = ImageCreateTrueColor($x,$y);
			// Fill image with white background (255,255,255)
			$white = imagecolorallocate($new_image, 255, 255, 255);
			imagefilledrectangle( $new_image, 0, 0, $x, $y, $white);
			// Create a new image from source file
			$org_image = ImageCreateFromJpeg($cached_filename);

			// Copy the palette from one image to another
			imagepalettecopy($new_image,$org_image);

			// Copy and resize part of an image with resampling
			imagecopyresampled(
				$new_image, $org_image,             // destination, source
				0, 0, 0, 0,           // dstX, dstY, srcX, srcY
				$x, $y,       // dstW, dstH
				$orig_x, $orig_y_S);    // srcW, srcH
			
			$res = ImageJPEG($new_image,$cached_filename_S,$q);


			$new_image_L = ImageCreateTrueColor($x_L,$y_L);
			// Fill image with white background (255,255,255)
		//	$white = imagecolorallocate($new_image_L, 255, 255, 255);
			imagefilledrectangle( $new_image_L, 0, 0, $x_L, $y_L, $white);

			// Copy the palette from one image to another
			imagepalettecopy($new_image_L,$org_image);

			// Copy and resize part of an image with resampling
			imagecopyresampled(
				$new_image_L, $org_image,             // destination, source
				0, 0, 0, 0,           // dstX, dstY, srcX, srcY
				$x_L, $y_L,       // dstW, dstH
				$orig_x, $orig_y_L);    // srcW, srcH
			
			$res = ImageJPEG($new_image_L,$cached_filename_L,$q);
		}
	}
}

include_once DATA_FOLDER.'rental.php';
include_once DATA_FOLDER.'vps.php';
include_once DATA_FOLDER.'domain.php';

$sslist = array(
	&$server,
	&$vps,
);

foreach($sslist as $ss) {
	foreach($ss as $skind => $splans) {
		foreach($splans as $planindex => $plan) {
			$outfile = $skind.'_'.$planindex;
			$website_url = $plan['url'];
	
	echo '[s]'.$plan['svrname']."\n";
	
			createimage($website_url,$outfile);

	echo '[e]'.$plan['svrname']."\n";
		}
	}
}

foreach($domain as $skind => $plan) {
	$outfile = $skind;
	$website_url = $plan['url'];

echo '[s]'.$plan['svrname']."\n";

	createimage($website_url,$outfile);

echo '[e]'.$plan['svrname']."\n";
}

?>
